www.cendio.com
Bug 4615 - Upgrade the HTML5 Client status to a normal feature
: Upgrade the HTML5 Client status to a normal feature
Status: CLOSED FIXED
: ThinLinc
Web Access
: 4.0.0
: PC Unknown
: P2 Normal
: 4.2.0
Assigned To:
:
:
: 4132 4853
:
  Show dependency treegraph
 
Reported: 2013-04-23 13:55 by
Modified: 2014-04-29 09:50 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2013-04-23 13:55:52
In ThinLinc 4.1, the HTML5 client will be a "Technology Preview" feature.
Eventually, we should upgrade its status to a normally supported feature.
------- Comment #2 From cendio 2013-12-09 14:39:09 -------
Worst case time estimate is assuming bug 4923 doesn't take over the
documentation part of this bug.
------- Comment #4 From cendio 2014-03-14 08:41:13 -------
Add tlwebaccess firewall service definition.
------- Comment #5 From cendio 2014-03-14 08:42:21 -------
(In reply to comment #4)
> Add tlwebaccess firewall service definition.

Fixed in commit 28614.
------- Comment #6 From cendio 2014-03-14 08:49:42 -------
Update of web page:

https://www.cendio.com/products/thinlinc/features/html5.xhtml
------- Comment #7 From cendio 2014-03-14 13:04:28 -------
(In reply to comment #6)
> Update of web page:
> 
> https://www.cendio.com/products/thinlinc/features/html5.xhtml

Patch as been sent to marketing dep. for coordination with release.
------- Comment #8 From cendio 2014-03-14 13:13:28 -------
Update ThinLinc adminsitrator guide.
------- Comment #9 From cendio 2014-03-14 14:01:48 -------
(In reply to comment #8)
> Update ThinLinc administrators guide.

Fixed in commit 28630.
------- Comment #10 From cendio 2014-03-24 14:44:12 -------
There was no test bugs for the HTML5 client so I expanded the scope of bug 4808
to include the entire HTML5 client for all tested browsers.
------- Comment #11 From cendio 2014-03-24 14:46:50 -------
(In reply to comment #9)
> (In reply to comment #8)
> > Update ThinLinc administrators guide.
> 
> Fixed in commit 28630.

This commit changed the list of tested browsers, was that intentional? Why was
it changed?
------- Comment #12 From cendio 2014-03-24 16:08:19 -------
(In reply to comment #11)
> (In reply to comment #9)
> > (In reply to comment #8)
> > > Update ThinLinc administrators guide.
> > 
> > Fixed in commit 28630.
> 
> This commit changed the list of tested browsers, was that intentional? Why was
> it changed?

Yes it was intentional and discussed with Samuel.
------- Comment #13 From cendio 2014-03-26 09:17:48 -------
Development meeting discussion ended in consensus to remove version numbers
from the list in the TAG.
------- Comment #14 From cendio 2014-03-26 12:48:18 -------
(In reply to comment #13)
> Development meeting discussion ended in consensus to remove version numbers
> from the list in the TAG.

Fixed in commit r28720.
------- Comment #15 From cendio 2014-03-28 11:41:42 -------
Documentation issues:

- Figure 2-1

Lacks HTML 5 client.


- 2.1. Session Overview

Claims all clients establishes SSH tunnels, but webaccess uses
websockets with TLS. Lots of other inaccuracies.


- 3.3.5. Using the Browser Clients

Only states that port 443 is required for browser clients.


- 8.7.4.1. Server side

> Additionally, a self signed certificate must be manually approved on
> the iOS device. This can be done by clicking on the link "Download
> Server Certificate" in the web interface. This must be done for all
> machines in a cluster. OpenSSL is a required tool for this command.

OpenSSL is a required tool for adding certificates to iOS devices‽

> /tlwebaccess/login_page
>
> The URL to the login page on the master machine. The default value
> is for single server setups. If you have more than one server, or
> are using Network Address Translation (NAT), you must set this
> parameter to an address that all clients can connect to. Example:
>
> login_page = https://thinlinc.example.com:300/


What's the default value or how is it calculated? "for single server
setups" isn't very clear.


> /tlwebaccess/listen_port
>
> The local port for this service to listen on.

What's the default value?

- 14.2. Server Configuration Parameters

Missing references to tlwebaccess configuration parameters.
 or
Move tlwebaccess configuration reference to this section.

- A.1. On machine running VSM server

No references to tlwebaccess.

- A.2. On machine running VSM agent

No references to tlwebaccess.
------- Comment #16 From cendio 2014-03-28 16:59:58 -------
(In reply to comment #15)
> - 2.1. Session Overview
> 
> Claims all clients establishes SSH tunnels, but webaccess uses
> websockets with TLS. Lots of other inaccuracies.
> 

Fixed in commit 28755.

> 
> - 3.3.5. Using the Browser Clients
> 
> Only states that port 443 is required for browser clients.
> 

Fixed in commit 28754.

> 
> - 8.7.4.1. Server side
> 
> > Additionally, a self signed certificate must be manually approved on
> > the iOS device. This can be done by clicking on the link "Download
> > Server Certificate" in the web interface. This must be done for all
> > machines in a cluster. OpenSSL is a required tool for this command.
> 
> OpenSSL is a required tool for adding certificates to iOS devices‽
> 

Fixed in commit 28756.

> > /tlwebaccess/login_page
> >
> > The URL to the login page on the master machine. The default value
> > is for single server setups. If you have more than one server, or
> > are using Network Address Translation (NAT), you must set this
> > parameter to an address that all clients can connect to. Example:
> >
> > login_page = https://thinlinc.example.com:300/
> 
> 
> What's the default value or how is it calculated? "for single server
> setups" isn't very clear.
> 

Fixed in commit 28757

> 
> > /tlwebaccess/listen_port
> >
> > The local port for this service to listen on.
> 
> What's the default value?
> 

Fixed in commit 28757
------- Comment #17 From cendio 2014-04-01 14:37:20 -------
(In reply to comment #15)

> - 14.2. Server Configuration Parameters
> 
> Missing references to tlwebaccess configuration parameters.
>  or
> Move tlwebaccess configuration reference to this section.
> 

Added cross ref. as tlwebadm does and updated to use the correct configuration
path in commit 28768.
------- Comment #18 From cendio 2014-04-01 14:51:40 -------
(In reply to comment #15)
> 
> - A.1. On machine running VSM server
> 
> No references to tlwebaccess.
> 
> - A.2. On machine running VSM agent
> 
> No references to tlwebaccess.

Added information about port 300 in commit 28769.
------- Comment #19 From cendio 2014-04-02 08:48:42 -------
Update use of SSL / TLS in documentation to be consitent.
------- Comment #20 From cendio 2014-04-02 09:11:58 -------
(In reply to comment #19)
> Update use of SSL / TLS in documentation to be consitent.

Fixed in commit 28778.
------- Comment #21 From cendio 2014-04-16 13:12:10 -------
(In reply to comment #7)
> (In reply to comment #6)
> > Update of web page:
> > 
> > https://www.cendio.com/products/thinlinc/features/html5.xhtml
> 
> Patch as been sent to marketing dep. for coordination with release.

Igge claims he's not aware of any patch, so could you please re-send and attach
the patch to this bug?
------- Comment #23 From cendio 2014-04-23 14:47:16 -------
(In reply to comment #21)
> (In reply to comment #7)
> > (In reply to comment #6)
> > > Update of web page:
> > > 
> > > https://www.cendio.com/products/thinlinc/features/html5.xhtml
> > 
> > Patch as been sent to marketing dep. for coordination with release.
> 
> Igge claims he's not aware of any patch, so could you please re-send and attach
> the patch to this bug?

Patch attached to this bug and sent to marketing dep.
------- Comment #24 From cendio 2014-04-25 14:41:16 -------
After reviewing all the changes noted on this bug, I've found that everything
has been implemented apart from this documentation note:

(In reply to comment #15)
> - Figure 2-1
> 
> Lacks HTML 5 client.

I'm not going to make a fuss about this, so I've added a note to bug 3242 about
this so we can move on.
------- Comment #25 From cendio 2014-04-28 14:31:30 -------
Minor thing, but should probably still fix it: The final page of tl-setup lists
which icons have been added. The HTML client should be there as well.
------- Comment #26 From cendio 2014-04-28 16:30:50 -------
(In reply to comment #25)
> Minor thing, but should probably still fix it: The final page of tl-setup lists
> which icons have been added. The HTML client should be there as well.

Fix commited in 28923.
------- Comment #27 From cendio 2014-04-29 09:50:07 -------
(In reply to comment #26)
> (In reply to comment #25)
> > Minor thing, but should probably still fix it: The final page of tl-setup lists
> > which icons have been added. The HTML client should be there as well.
> 
> Fix commited in 28923.

Good enough.